sethead(1)(WCSTools)

Name
sethead - Set FITS or IRAF header keyword values

Synopsis
sethead [-dknv][r letter] <FITS or IRAF file> kw1=val1 kw2=val2 ... kwn=valuen

Description
Set parameters in the header of a FITS or IRAF image. If the keywords do not already exist, they are added at the end of the header. Values are assumed to be numeric if they contain no alphabetic characters and right-aligned. Otherwise they are left-aligned after the equals sign, and padded by spaces to a minimum of 8 characters. To set keywords in a list of files, substitute @<listfile> for the file names on the command line. To set a lot of keywords, put them, one per line, in a file and substitute @<keylistfile> on the command line. If two @ commands are present, the program will figure out which contains file names and which contains keywords. Lines in a keyword list file which do not contain an = are ignored.

Options

-h  Write HISTORY line into output header with sethead version, current date and time, and names of keywords set.

-k  Write SETHEAD keyword into output header with sethead version, current date and time, and names of keywords set. If a SETHEAD keyword already exists, move the old value to a HISTORY line before writing the new value

-n  Write a new file with an added "e" before the extension.

-r letter
    Rename existing keywords whose values are being reset by prepending the character "letter". Drop the last character if the changed keyword is already 8 characters long.

-v  Print confirmations of each parameter setting

Web Page
http://tdc-www.harvard.edu/software/wcstools/sethead.html

Author
Doug Mink, SAO (dmink@cfa.harvard.edu)